server {
    listen 80;
    listen [::]:80;
    server_name {{ app_domain }};

    location / {
        return 301 https://$host$request_uri;
    }
}

server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;
    server_name {{ app_domain }};

    # SSL configuration here
    # ssl_certificate /etc/letsencrypt/live/{{ app_domain }}/fullchain.pem;
    # ssl_certificate_key /etc/letsencrypt/live/{{ app_domain }}/privkey.pem;
    # ssl_trusted_certificate /etc/letsencrypt/live/{{ app_domain }}/chain.pem;

    # Log files for Debugging
    access_log /var/log/nginx/{{ app_domain }}-access.log;
    error_log /var/log/nginx/{{ app_domain }}-error.log;

    location / {
        proxy_pass http://localhost:{{ app_port }};
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_cache_bypass $http_upgrade;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
}
